Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel.socket.nio
Interface NioDatagramChannelConfig

All Superinterfaces:
  ChannelConfig, DatagramChannelConfig

    public interface NioDatagramChannelConfig

extends DatagramChannelConfig

A `DatagramChannelConfig` for a NIO TCP/IP `DatagramChannel`.

### Available options

In addition to the options provided by `ChannelConfig` and `DatagramChannelConfig`, `NioDatagramChannelConfig` allows the following options in the option map:

Name | Associated setter method
--- | ---
`"writeBufferHighWaterMark"` | `setWriteBufferHighWaterMark(int)`
`"writeBufferLowWaterMark"` | `setWriteBufferLowWaterMark(int)`
`"writeSpinCount"` | `setWriteSpinCount(int)`

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee, Daniel Bevenius (dbevenius@jboss.com)

Method Summary
`int` | `getWriteBufferHighWaterMark()` Returns the high water mark of the write buffer.
`int` | `getWriteBufferLowWaterMark()` Returns the low water mark of the write buffer.
`int` | `getWriteSpinCount()` Returns the maximum loop count for a write operation until `WritableByteChannel.write(ByteBuffer)` returns a non-zero value.
`void` | `setWriteBufferHighWaterMark(int writeBufferHighWaterMark)` Sets the high water mark of the write buffer.
`void` | `setWriteBufferLowWaterMark(int writeBufferLowWaterMark)` Sets the low water mark of the write buffer.
`void` | `setWriteSpinCount(int writeSpinCount)` Sets the maximum loop count for a write operation until `WritableByteChannel.write(ByteBuffer)` returns a non-zero value.

Methods inherited from interface org.jboss.netty.channel.socket.DatagramChannelConfig
`getInterface, getNetworkInterface, getReceiveBufferSize, getReceiveBufferSizePredictor, getReceiveBufferSizePredictorFactory, getSendBufferSize, getTimeToLive, getTrafficClass, isBroadcast, isLoopbackModeDisabled, isReuseAddress, setBroadcast, setInterface, setLoopbackModeDisabled, setNetworkInterface, setReceiveBufferSize, setReceiveBufferSizePredictor, setReceiveBufferSizePredictorFactory, setReuseAddress, setSendBufferSize, setTimeToLive, setTrafficClass`

Methods inherited from interface org.jboss.netty.channel.ChannelConfig
`getBufferFactory, getConnectTimeoutMillis, getPipelineFactory, setBufferFactory, setConnectTimeoutMillis, setOption, setOptions, setPipelineFactory`

Method Detail

### getWriteBufferHighWaterMark

    int getWriteBufferHighWaterMark()

  Returns the high water mark of the write buffer. If the number of bytes queued in the write buffer exceeds this value, `Channel.isWritable()` will start to return `true`.

### setWriteBufferHighWaterMark

    void setWriteBufferHighWaterMark(int writeBufferHighWaterMark)

  Sets the high water mark of the write buffer. If the number of bytes queued in the write buffer exceeds this value, `Channel.isWritable()` will start to return `true`.

### getWriteBufferLowWaterMark

    int getWriteBufferLowWaterMark()

  Returns the low water mark of the write buffer. Once the number of bytes queued in the write buffer exceeded the high water mark and then dropped down below this value, `Channel.isWritable()` will return `false` again.

### setWriteBufferLowWaterMark

    void setWriteBufferLowWaterMark(int writeBufferLowWaterMark)

  Sets the low water mark of the write buffer. Once the number of bytes queued in the write buffer exceeded the high water mark and then dropped down below this value, `Channel.isWritable()` will return `false` again.

### getWriteSpinCount

    int getWriteSpinCount()

  Returns the maximum loop count for a write operation until `WritableByteChannel.write(ByteBuffer)` returns a non-zero value. It is similar to what a spin lock is used for in concurrency programming. It improves memory utilization and write throughput depending on the platform that JVM runs on. The default value is `16`.

### setWriteSpinCount

    void setWriteSpinCount(int writeSpinCount)

  Sets the maximum loop count for a write operation until `WritableByteChannel.write(ByteBuffer)` returns a non-zero value. It is similar to what a spin lock is used for in concurrency programming. It improves memory utilization and write throughput depending on the platform that JVM runs on. The default value is `16`.

  Throws:
    `IllegalArgumentException` - if the specified value is `0` or less than `0`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.